Index: /branches/version-2_11-dev/data/module/SOAP/Server/Email.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/Server/Email.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/Server/Email.php	(revision 21410)
@@ -20,5 +20,4 @@
  */
 
-/** SOAP_Server */
 require_once 'SOAP/Server.php';
 require_once 'SOAP/Client.php';
Index: /branches/version-2_11-dev/data/module/SOAP/Server/Email_Gateway.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/Server/Email_Gateway.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/Server/Email_Gateway.php	(revision 21410)
@@ -20,5 +20,4 @@
  */
 
-/** SOAP_Server_Email */
 require_once 'SOAP/Server/Email.php';
 require_once 'SOAP/Transport.php';
Index: /branches/version-2_11-dev/data/module/SOAP/Disco.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/Disco.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/Disco.php	(revision 21410)
@@ -23,10 +23,6 @@
  */
 
-/** SOAP_Base */
 require_once 'SOAP/Base.php';
 
-/**
- * @package SOAP
- */
 class SOAP_DISCO_Server extends SOAP_Base_Object {
 
@@ -95,5 +91,5 @@
             $this->namespaces[$this->_service_ns] = 'tns';
             $this->namespaces[$flipped['xsd']] = 'xsd';
-            $this->namespaces[$flipped[SOAP_BASE::SOAPENCPrefix()]] = SOAP_BASE::SOAPENCPrefix();
+            $this->namespaces[$flipped['SOAP-ENC']] = 'SOAP-ENC';
         }
 
@@ -213,8 +209,8 @@
                     } else {
                         $ctype['complexContent']['attr'] = '';
-                        $ctype['complexContent']['restriction']['attr']['base'] = SOAP_BASE::SOAPENCPrefix().':Array';
+                        $ctype['complexContent']['restriction']['attr']['base'] = 'SOAP-ENC:Array';
                         foreach ($_vartype as $array_type) {
                             list($_vartypens, $_vartype) = $this->_getTypeNs($array_type);
-                            $ctype['complexContent']['restriction']['attribute']['attr']['ref'] = SOAP_BASE::SOAPENCPrefix().':arrayType';
+                            $ctype['complexContent']['restriction']['attribute']['attr']['ref'] = 'SOAP-ENC:arrayType';
                             $ctype['complexContent']['restriction']['attribute']['attr']['wsdl:arrayType'] = $_vartypens . ':' . $_vartype . '[]';
                         }
Index: /branches/version-2_11-dev/data/module/SOAP/example/email_gateway.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/email_gateway.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/email_gateway.php	(revision 21410)
@@ -1,46 +1,48 @@
 <?php
-/**
- * This reads a message from stdin, and passes the request to a SOAP server
- * residing on a web server, sends the response out as an email. You can use
- * this from qmail by creating a .qmail-soapgateway file with:
- * <code>
- * | /usr/bin/php /path/to/email_server.php
- * </code>
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more   |
+// +----------------------------------------------------------------------+
+//
+// $Id: email_gateway.php,v 1.5 2005/03/10 23:16:40 yunosh Exp $
+//
 
-/* SOAP_Server_Email_Gateway */
+/*
+This reads a message from stdin, and passes the request to
+a soap server residing on a web server, sends the response
+out as an email
+
+You can use this from qmail by creating a .qmail-soapgateway file with:
+    | /usr/bin/php /path/to/email_server.php
+*/
+
+# include the email server class
 require_once 'SOAP/Server/Email_Gateway.php';
 
-/* Read stdin. */
-$fin = fopen('php://stdin', 'rb');
-if (!$fin) {
-    exit(1);
-}
+# read stdin
+$fin = fopen('php://stdin','rb');
+if (!$fin) exit(0);
 
 $email = '';
 while (!feof($fin) && $data = fread($fin, 8096)) {
-    $email .= $data;
+  $email .= $data;
 }
 
 fclose($fin);
 
-/* Do it! */
+# doit!
 $server = new SOAP_Server_Email_Gateway();
 $server->service($data, 'http://localhost/soap/example/server.php');
+?>
Index: /branches/version-2_11-dev/data/module/SOAP/example/tcp_server.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/tcp_server.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/tcp_server.php	(revision 21410)
@@ -1,34 +1,35 @@
 <?php
-/**
- * TCP server.
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>                           |
+// +----------------------------------------------------------------------+
+//
+// $Id: tcp_server.php,v 1.4 2005/03/10 23:16:40 yunosh Exp $
+//
 
-/* First, include the SOAP_Server_TCP class. */
+// first, include the SOAP/Server class
+require_once 'SOAP/Server/TCP.php';
 set_time_limit(0);
-require_once 'SOAP/Server/TCP.php';
-$server = new SOAP_Server_TCP('127.0.0.1', 82);
 
-/* Tell the server to translate to classes we provide if possible. */
+$server = new SOAP_Server_TCP("127.0.0.1",82);
+/* tell server to translate to classes we provide if possible */
 $server->_auto_translation = true;
 
-require_once dirname(__FILE__) . '/example_server.php';
+require_once 'example_server.php';
+
 $soapclass = new SOAP_Example_Server();
-$server->addObjectMap($soapclass, 'urn:SOAP_Example_Server');
+$server->addObjectMap($soapclass,'urn:SOAP_Example_Server');
 $server->run();
+?>
Index: /branches/version-2_11-dev/data/module/SOAP/example/com_client.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/com_client.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/com_client.php	(revision 21410)
@@ -1,28 +1,24 @@
 <?php
-/**
- * This file contains an example SOAP client based on the Windows
- * MSSOAP.SoapClient30 COM object that calls methods on the example SOAP
- * server in this same directory.
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
-
-/** SOAPStruct */
-require_once './example_types.php';
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>                           |
+// +----------------------------------------------------------------------+
+//
+// $Id: com_client.php,v 1.3 2005/03/10 23:16:40 yunosh Exp $
+//
+// SOAPStruct is defined in the following file
+require_once 'example_types.php';
 
 /* just a simple example of using MS SOAP on win32 as a client
Index: /branches/version-2_11-dev/data/module/SOAP/example/email_server.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/email_server.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/email_server.php	(revision 21410)
@@ -1,53 +1,56 @@
 <?php
-/**
- * This reads a message from stdin, and calls the SOAP server defined.
- * 
- * You can use this from qmail by creating a .qmail-soaptest file with:
- * <code>
- * | /usr/bin/php /path/to/email_server.php
- * </code>
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more   |
+// +----------------------------------------------------------------------+
+//
+// $Id: email_server.php,v 1.5 2005/03/10 23:16:40 yunosh Exp $
+//
 
-/* SOAP_Server_Email */
+/*
+This reads a message from stdin, and calls the soap server defined
+
+You can use this from qmail by creating a .qmail-soaptest file with:
+    | /usr/bin/php /path/to/email_server.php
+*/
+
+# include the email server class
 require_once 'SOAP/Server/Email.php';
+
 $server = new SOAP_Server_Email;
 
-/* Tell the server to translate to classes we provide if possible. */
+/* tell server to translate to classes we provide if possible */
 $server->_auto_translation = true;
 
-require_once './example_server.php';
+require_once 'example_server.php';
+
 $soapclass = new SOAP_Example_Server();
 $server->addObjectMap($soapclass,'urn:SOAP_Example_Server');
 
-/* Read stdin. */
-$fin = fopen('php://stdin', 'rb');
-if (!$fin) {
-    exit(1);
-}
+# read stdin
+$fin = fopen('php://stdin','rb');
+if (!$fin) exit(0);
 
 $email = '';
 while (!feof($fin) && $data = fread($fin, 8096)) {
-    $email .= $data;
+  $email .= $data;
 }
 
 fclose($fin);
 
-/* Do it! */
+# doit!
 $server->service($email);
+
+?>
Index: /branches/version-2_11-dev/data/module/SOAP/example/client.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/client.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/client.php	(revision 21410)
@@ -16,77 +16,57 @@
  * @package    SOAP
  * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
+ * @copyright  2003-2005 The PHP Group
  * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
  * @link       http://pear.php.net/package/SOAP
  */
 
-/** SOAP_Client */
 require 'SOAP/Client.php';
 
-/* This client runs against the example server in SOAP/example/server.php.  It
+/**
+ * This client runs against the example server in SOAP/example/server.php.  It
  * does not use WSDL to run these requests, but that can be changed easily by
- * simply adding '?wsdl' to the end of the url. */
+ * simply adding '?wsdl' to the end of the url.
+ */
 $soapclient = new SOAP_Client('http://localhost/SOAP/example/server.php');
+// This namespace is the same as declared in server.php.
+$options = array('namespace' => 'urn:SOAP_Example_Server',
+                 'trace' => true);
 
-/* Set a few options. */
-$options = array();
+$ret = $soapclient->call('echoStringSimple',
+                         $params = array('inputStringSimple' => 'this is a test string'),
+                         $options);
+// print $soapclient->getWire();
+print_r($ret);
+echo "<br>\n";
 
-/* This namespace is the same as declared in server.php. */
-$options['namespace'] = 'urn:SOAP_Example_Server';
+$ret = $soapclient->call('echoString',
+                         $params = array('inputString' => 'this is a test string'),
+                         $options);
+print_r($ret);
+echo "<br>\n";
 
-/* Trace the communication for debugging purposes, so we can later inspect the
- * data with getWire(). */
-$options['trace'] = true;
+$ret = $soapclient->call('divide',
+                         $params = array('dividend' => 22, 'divisor' => 7),
+                         $options);
+// print $soapclient->getWire();
+if (PEAR::isError($ret)) {
+    echo 'Error: ' . $ret->getMessage() . "<br>\n";
+} else {
+    echo 'Quotient is ' . $ret . "<br>\n";
+}
 
-/* Uncomment the following lines if you want to use Basic HTTP
- * Authentication. */
-// $options['user'] = 'username';
-// $options['pass'] = 'password';
+$ret = $soapclient->call('divide',
+                         $params = array('dividend' => 22, 'divisor' => 0),
+                         $options);
+if (PEAR::isError($ret)) {
+    echo 'Error: ' . $ret->getMessage() . "<br>\n";
+} else {
+    echo 'Quotient is ' . $ret . "<br>\n";
+}
 
-header('Content-Type: text/plain');
 
-/* Calling echoStringSimple. */
-$ret = $soapclient->call('echoStringSimple',
-                         array('inputStringSimple' => 'this is a test string'),
-                         $options);
-// echo $soapclient->getWire();
-print_r($ret);
-echo "\n";
+// SOAPStruct is defined in the following file.
+require_once 'example_types.php';
 
-/* Calling echoString. */
-$ret = $soapclient->call('echoString',
-                         array('inputString' => 'this is a test string'),
-                         $options);
-// echo $soapclient->getWire();
-print_r($ret);
-echo "\n";
-
-/* Calling divide with valid parameters. */
-$ret = $soapclient->call('divide',
-                         array('dividend' => 22, 'divisor' => 7),
-                         $options);
-// echo $soapclient->getWire();
-if (PEAR::isError($ret)) {
-    echo 'Error: ' . $ret->getMessage();
-} else {
-    echo 'Quotient is ' . $ret;
-}
-echo "\n";
-
-/* Calling divide with invalid parameters. */
-$ret = $soapclient->call('divide',
-                         array('dividend' => 22, 'divisor' => 0),
-                         $options);
-// echo $soapclient->getWire();
-if (PEAR::isError($ret)) {
-    echo 'Error: ' . $ret->getMessage();
-} else {
-    echo 'Quotient is ' . $ret;
-}
-echo "\n";
-
-/* The SOAPStruct class is defined in example_types.php. */
-require_once 'example_types.php';
 $struct = new SOAPStruct('test string', 123, 123.123);
 
@@ -94,5 +74,4 @@
  * we provide if possible. */
 $soapclient->_auto_translation = true;
-
 /* You can explicitly set the translation for a specific
  * class. auto_translation works for all cases, but opens ANY class in the
@@ -101,37 +80,22 @@
 $soapclient->setTypeTranslation('{http://soapinterop.org/xsd}SOAPStruct',
                                 'SOAPStruct');
-
-/* Calling echoStruct. */
 $ret = $soapclient->call('echoStruct',
-                         array('inputStruct' => $struct->__to_soap()),
+                         $p = array('inputStruct' => $struct->__to_soap()),
                          $options);
-// echo $soapclient->getWire();
+// print $soapclient->getWire();
 print_r($ret);
 
-/* Calling echoStructAsSimpleTypes.
- * PHP doesn't support multiple return values in function calls, so we must do
- * a little work to make it happen here, for example returning an array
- * instead.  This requires knowledge on the developers part to figure out how
- * they want to deal with it. */
+/**
+ * PHP doesn't support multiple OUT parameters in function calls, so we must
+ * do a little work to make it happen here.  This requires knowledge on the
+ * developers part to figure out how they want to deal with it.
+ */
 $ret = $soapclient->call('echoStructAsSimpleTypes',
-                         array('inputStruct' => $struct->__to_soap()),
+                         $p = array('inputStruct' => $struct->__to_soap()),
                          $options);
-// echo $soapclient->getWire();
 if (PEAR::isError($ret)) {
-    echo 'Error: ' . $ret->getMessage();
+    echo 'Error: ' . $ret->getMessage() . "<br>\n";
 } else {
     list($string, $int, $float) = array_values($ret);
-    echo "varString: $string\nvarInt: $int\nvarFloat: $float";
+    echo "varString: $string<br>\nvarInt: $int<br>\nvarFloat: $float<br>\n";
 }
-echo "\n";
-
-/* Calling echoMimeAttachment.
- * We want to use MIME encoding here, the default is to use DIME encoding. */
-$options['attachments'] = 'Mime';
-$attachment = new SOAP_Attachment('attachment', 'text/plain', null,
-                                  'This is a MIME attachment');
-$ret = $soapclient->call('echoMimeAttachment',
-                         array($attachment),
-                         $options);
-// echo $soapclient->getWire();
-print_r($ret);
Index: /branches/version-2_11-dev/data/module/SOAP/example/example_types.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/example_types.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/example_types.php	(revision 21410)
@@ -11,7 +11,4 @@
  * it from your soap server class, echoStruct in the server class is an
  * example of doing this.
- *
- * @category Web Services
- * @package  SOAP
  */
 class SOAPStruct
@@ -33,23 +30,15 @@
                         $actor = 'http://schemas.xmlsoap.org/soap/actor/next')
     {
-        $inner = array(
-            new SOAP_Value('varString', 'string', $this->varString),
-            new SOAP_Value('varInt', 'int', $this->varInt),
-            new SOAP_Value('varFloat', 'float', $this->varFloat));
+        $inner[] = new SOAP_Value('varString', 'string', $this->varString);
+        $inner[] = new SOAP_Value('varInt', 'int', $this->varInt);
+        $inner[] = new SOAP_Value('varFloat', 'float', $this->varFloat);
 
         if ($header) {
-            $value = new SOAP_Header($name,
-                                     '{http://soapinterop.org/xsd}SOAPStruct',
-                                     $inner,
-                                     $mustUnderstand,
-                                     $actor);
+            $value = new SOAP_Header($name,'{http://soapinterop.org/xsd}SOAPStruct',$inner,$mustUnderstand,$actor);
         } else {
-            $value = new SOAP_Value($name,
-                                    '{http://soapinterop.org/xsd}SOAPStruct',
-                                    $inner);
+            $value = new SOAP_Value($name,'{http://soapinterop.org/xsd}SOAPStruct',$inner);
         }
 
         return $value;
     }
-
 }
